package custom

//管理员账户信息结构体（包含微信信息）
type AdminWx struct {
	AdminId                 int    `json:"admin_id"`
	AdminName               string `json:"admin_name"`
	RealName                string `json:"real_name"`
	Password                string `json:"password"`
	LastUpdatedPasswordTime string `json:"last_updated_password_time"`
	Enabled                 int    `json:"enabled"` // 1:有效，0:禁用
	Email                   string `json:"email"`
	LastLoginTime           string `json:"last_login_time"` // 最近登陆时间
	CreatedTime             string `json:"created_time"`    // 创建时间
	LastUpdatedTime         string `json:"last_updated_time"`
	Role                    string `json:"role"`            // 用户角色
	Mobile                  string `json:"mobile"`          // 手机号
	RoleType                int    `json:"role_type"`       // 角色类型:1需要录入指标,0:不需要
	RoleId                  int    `json:"role_id"`         // 角色id
	RoleName                string `json:"role_name"`       // 角色名称
	RoleTypeCode            string `json:"role_type_code"`  // 角色编码
	DepartmentId            int    `json:"department_id"`   // 部门id
	DepartmentName          string `json:"department_name"` // 部门名称
	GroupId                 int    `json:"group_id"`        // 分组id
	GroupName               string `json:"group_name"`      // 分组名称
	Authority               int    `json:"authority"`       // 管理权限，0：无，1：部门负责人，2：小组负责人,3:超级管理员
	Position                string `json:"position"`        // 职位

	OpenId      string `json:"open_id"` // open_id
	UnionId     string `json:"union_id"`
	Subscribe   int    `json:"subscribe"`    // 是否关注
	NickName    string `json:"nick_name"`    // 用户昵称
	BindAccount string `json:"bind_account"` // 绑定时的账号
	Sex         int    `json:"sex"`          // 普通用户性别，1为男性，2为女性
	Province    string `json:"province"`     // 普通用户个人资料填写的省份
	City        string `json:"city"`         // 普通用户个人资料填写的城市
	Country     string `json:"country"`      // 国家，如中国为CN
	Headimgurl  string `json:"headimgurl"`
}
